## plainbox-provider-checkbox 0.4

=== src/Makefile ===
.PHONY:
all: clocktest threaded_memtest

.PHONY: clean
clean:
	rm -f clocktest threaded_memtest

threaded_memtest: CFLAGS += -pthread
threaded_memtest: CFLAGS += -Wno-unused-but-set-variable

CFLAGS += -Wall

## plainbox-provider-checkbox 0.3

=== debian/changelog ===
plainbox-provider-checkbox (0.3-2) unstable; urgency=low

  * Patch the checkbox.provider file to add the version number, required by
    plainbox >= 0.5.

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Tue, 28 Jan 2014 13:20:39 +0100

plainbox-provider-checkbox (0.3-1) unstable; urgency=low

  * Initial release (Closes: #735208)

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Wed, 22 Jan 2014 00:58:42 +0100

=== debian/control ===
Source: plainbox-provider-checkbox
Section: utils
Priority: optional
Maintainer: Sylvain Pineau <sylvain.pineau@canonical.com>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-distutils-extra
Standards-Version: 3.9.5
X-Python3-Version: >= 3.2
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/plainbox-provider-checkbox/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/plainbox-provider-checkbox/trunk/
Homepage: http://launchpad.net/checkbox

Package: plainbox-provider-checkbox
Architecture: any
Depends: plainbox-provider-resource-generic,
         python3 (>= 3.2),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gir1.2-gst-plugins-base-1.0,
            gir1.2-gstreamer-1.0,
            gstreamer1.0-plugins-good,
            gstreamer1.0-pulseaudio,
            libgstreamer1.0-0,
            pm-utils,
            python3-apt,
            python3-dbus,
            python3-gi
Suggests: bonnie++,
          bootchart,
          curl,
          ethtool,
          fwts,
          git-core,
          glmark2,
          glmark2-es2,
          hdparm,
          lshw,
          mesa-utils,
          nmap,
          obexd-client,
          obexftp,
          python (>= 2.7),
          render-bench,
          smartmontools,
          sox,
          stress,
          sysstat,
          wmctrl
Description: CheckBox provider for PlainBox
 This package provides the CheckBox jobs collection, i.e the hardware test
 definitions and scripts originally included with CheckBox.
 It is used together alongside with PlainBox.
 .
 Jobs are smallest units of testing that can be performed by PlainBox.
 All jobs have an unique name. There are many types of jobs, some are fully
 automated others are fully manual.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=plainbox-provider-checkbox

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/*/usr/lib/python3*/dist-packages/*.egg-info
	rm -rf debian/*/usr/lib/plainbox-providers-1/checkbox/bin/*.c

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://pypi.python.org/packages/source/p/plainbox-provider-checkbox/plainbox-provider-checkbox-(.*)\.tar\.gz

## plainbox-provider-checkbox 0.4

=== debian/changelog ===
plainbox-provider-checkbox (0.4-1) unstable; urgency=medium

  * New upstream release. List of bugfixes:
    https://launchpad.net/plainbox-provider-checkbox/14.04/0.4
  * debian/watch: look for new releases on launchpad
  * debian/rules: stop using pybuild and use manage.py
    {i18n,build,install,validate} instead. This also drops dependency on
    python3-distutils-extra and replaces that with intltool
  * debian/control: drop X-Python3-Version
  * debian/control: make plainbox-provider-checkbox depend on python and
    python2.7 (for some scripts) rather than suggesting them.
  * debian/upstream/signing-key.asc: Use armoured gpg keys to avoid having to
    keep binary files in Debian packaging. Also, replace that with my key
    since I made the 0.3 release upstream.
  * debian/source/lintian-overrides: add an override for warning about no
    source for flash movie with reference to a bug report that discusses that
    issue.
  * debian/source/include-binaries: drop (no longer needed)
  * debian/patches: drop (no longer needed)
  * debian/plainbox-provider-checkbox.lintian-overrides: drop (no longer
    needed)
  * Stop being a python3 module, move to from DPMT to PAPT

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Mon, 07 Apr 2014 19:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,31 @@
 Source: plainbox-provider-checkbox
 Section: utils
 Priority: optional
-Maintainer: Sylvain Pineau <sylvain.pineau@canonical.com>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Checkbox Developers <checkbox-dev@lists.launchpad.net> 
+Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
+           Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
+           Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python3-all,
- python3-distutils-extra
+ intltool,
+ python (>= 2.7),
+ python3,
+ python3-plainbox (>= 0.5.3),
 Standards-Version: 3.9.5
-X-Python3-Version: >= 3.2
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/plainbox-provider-checkbox/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/plainbox-provider-checkbox/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/plainbox-provider-checkbox/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/plainbox-provider-checkbox/trunk/
 Homepage: http://launchpad.net/checkbox
 
 Package: plainbox-provider-checkbox
 Architecture: any
-Depends: plainbox-provider-resource-generic,
-         python3 (>= 3.2),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ plainbox-provider-resource-generic (>= 0.3),
+ python (>= 2.7),
+ python2.7,
+ python3,
 Recommends: gir1.2-gst-plugins-base-1.0,
             gir1.2-gstreamer-1.0,
             gstreamer1.0-plugins-good,
@@ -43,7 +49,6 @@
           nmap,
           obexd-client,
           obexftp,
-          python (>= 2.7),
           render-bench,
           smartmontools,
           sox,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	python3 manage.py clean

override_dh_auto_build:
	python3 manage.py build
	python3 manage.py i18n

override_dh_auto_test:
	python3 manage.py validate 

override_dh_auto_install:
	python3 manage.py install \
		--prefix=/usr --layout=unix \
		--root=$(CURDIR)/debian/plainbox-provider-checkbox/

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://launchpad.net/plainbox-provider-checkbox/+download/ \
    https://launchpad\.net/plainbox-provider-checkbox/.*/.*/\+download/2013\.com\.canonical\.certification.checkbox-(.*).tar.gz

## plainbox-provider-checkbox 0.21.3

=== debian/changelog ===
plainbox-provider-checkbox (0.21.3-1) unstable; urgency=medium

  * New upstream maintenance release:
    https://launchpad.net/plainbox-provider-checkbox/+milestone/0.21.1
    https://launchpad.net/plainbox-provider-checkbox/+milestone/0.21.2
    https://launchpad.net/plainbox-provider-checkbox/+milestone/0.21.3

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 04 Aug 2015 10:03:10 +0200

plainbox-provider-checkbox (0.21-1) unstable; urgency=medium

  * New upstream release 
  * debian/control: wrap-and-sort 
  * debian/rules: don't modify .pot/.po files present in the tree 
  * debian/rules: rewrite provider directories to use more friendly names 
  * debian/rules: disable strict validation
  * debian/watch: quote the last dot of the URL pattern 
  * debian/upstream/signing-key.asc: add the public key of Sylvain
    Pineau (using gpg --armor --export-options export-minimal --export
    '7ED72CD1').
  * debian/copyright: bump Canonical copyright
  * debian/control: Use the new email address for the team
    (checkbox-devel@lists.ubuntu.com). 
  * debian/control: Depend on more recent version of plainbox to get the
    packaging meta-data unit which blocks validation.
  * debian/control, debian/rules: Depend on python3-debian for plainbox
    packaging system integration. Activate plainbox packaging integration
    through "./manage.py packaging", "X-Plainbox-Provider: yes" and
    ${plainbox:Depends} and similar. This lets plainbox look at packaging
    meta-data units contained in the provider being packaged (at .txt.in, .txt
    and .pxu files) and determine appropriate dependencies. This lessens the
    maintenance burden on the package maintainer and shifts it onto the
    upstream developers to provide accurate packaging meta-data for each
    specific distribution. This also means that separate packaging for similar
    distributions (Debian, Ubuntu and bleeding-edge Ubuntu PPA is far easier
    to work with as bulk of the work is shared).
  * debian/copyright: de-duplicate licenses, as reported by lintian
  * debian/control: bump standards version to 3.9.6 (no change required) 

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Wed, 22 Jul 2015 17:10:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,34 @@
 Source: plainbox-provider-checkbox
 Section: utils
 Priority: optional
-Maintainer: Checkbox Developers <checkbox-dev@lists.launchpad.net> 
+Maintainer: Checkbox Developers <checkbox-devel@lists.ubuntu.com>
 Uploaders: Sylvain Pineau <sylvain.pineau@canonical.com>,
            Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends:
- debhelper (>= 9),
- dh-python,
- intltool,
- python (>= 2.7),
- python3,
- python3-plainbox (>= 0.5.3),
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               intltool,
+               plainbox-provider-resource-generic (>= 0.17),
+               python (>= 2.7),
+               python3,
+               python3-checkbox-support (>= 0.18),
+               python3-debian,
+               python3-plainbox (>= 0.22)
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/plainbox-provider-checkbox/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/plainbox-provider-checkbox/trunk/
 Homepage: http://launchpad.net/checkbox
 
 Package: plainbox-provider-checkbox
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
- plainbox-provider-resource-generic (>= 0.3),
- python (>= 2.7),
- python2.7,
- python3,
+Depends: plainbox-provider-resource-generic (>= 0.17),
+         python (>= 2.7),
+         python2.7,
+         python3,
+         python3-checkbox-support (>= 0.18),
+         ${misc:Depends},
+         ${plainbox:Depends},
+         ${shlibs:Depends}
 Recommends: gir1.2-gst-plugins-base-1.0,
             gir1.2-gstreamer-1.0,
             gstreamer1.0-plugins-good,
@@ -34,7 +37,8 @@
             pm-utils,
             python3-apt,
             python3-dbus,
-            python3-gi
+            python3-gi,
+            ${plainbox:Recommends}
 Suggests: bonnie++,
           bootchart,
           curl,
@@ -54,7 +58,9 @@
           sox,
           stress,
           sysstat,
-          wmctrl
+          wmctrl,
+          ${plainbox:Suggests}
+X-Plainbox-Provider: yes
 Description: CheckBox provider for PlainBox
  This package provides the CheckBox jobs collection, i.e the hardware test
  definitions and scripts originally included with CheckBox.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	python3 manage.py clean

override_dh_auto_build:
	python3 manage.py build
	python3 manage.py i18n --dont-update-pot --dont-merge-po

override_dh_auto_test:
	python3 manage.py validate --loose --legacy

pkg_name=plainbox-provider-checkbox
verbose_id=2013.com.canonical.certification:checkbox
terse_id=$(pkg_name)

override_dh_auto_install:
	python3 manage.py install \
		--prefix=/usr --layout=unix \
		--root=$(CURDIR)/debian/$(pkg_name)/
	# Rename provider directory to avoid having colon in the PATH
	mv $(CURDIR)/debian/$(pkg_name)/usr/lib/$(verbose_id) \
		$(CURDIR)/debian/$(pkg_name)/usr/lib/$(terse_id)
	mv $(CURDIR)/debian/$(pkg_name)/usr/share/$(verbose_id) \
		$(CURDIR)/debian/$(pkg_name)/usr/share/$(terse_id)
	# Rename the .provider file, mind the mangling of : done by manage.py install!
	mv $(CURDIR)/debian/$(pkg_name)/usr/share/plainbox-providers-1/$(subst :,.,$(verbose_id)).provider \
		$(CURDIR)/debian/$(pkg_name)/usr/share/plainbox-providers-1/$(terse_id).provider
	# Reflect changes in the .provider meta-data
	sed -i -e 's!$(verbose_id)!$(terse_id)!g' \
		$(CURDIR)/debian/$(pkg_name)/usr/share/plainbox-providers-1/$(terse_id).provider
	# But don't modify the name, it has to be exactly as before
	sed -i -e 's!name = $(terse_id)!name = $(verbose_id)!g' \
		$(CURDIR)/debian/$(pkg_name)/usr/share/plainbox-providers-1/$(terse_id).provider

override_dh_gencontrol:
	python3 manage.py packaging
	dh_gencontrol

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://launchpad.net/plainbox-provider-checkbox/+download/ \
    https://launchpad\.net/plainbox-provider-checkbox/.*/.*/\+download/2013\.com\.canonical\.certification\.checkbox-(.*).tar.gz

## plainbox-provider-checkbox 0.25

=== src/Makefile ===
--- 
+++ 
@@ -7,5 +7,7 @@
 
 threaded_memtest: CFLAGS += -pthread
 threaded_memtest: CFLAGS += -Wno-unused-but-set-variable
+clocktest: CFLAGS += -D_POSIX_C_SOURCE=199309L
+clocktest: LDLIBS += -lrt
 
 CFLAGS += -Wall

=== debian/changelog ===
plainbox-provider-checkbox (0.25-2) unstable; urgency=medium

  * debian/patches: Drop pm-utils (the provider scripts will use systemd 
    services).

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Wed, 07 Dec 2016 10:15:54 +0100

plainbox-provider-checkbox (0.25-1) unstable; urgency=medium

  * New upstream maintenance release
  * debian/watch: match new upstream tarball names
  * debian/rules: simplify override_dh_auto_install since installation
    directories are all named plainbox-provider-checkbox
  * debian/control: remove python2.x, dh-python and obexd-client dependencies
  * debian/patches: New patch to depends on kmod instead of module-init-tools.
    (Closes: #811187)

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Fri, 15 Jan 2016 16:51:16 +0100

plainbox-provider-checkbox (0.24-1) unstable; urgency=medium

  * New upstream maintenance release
  * debian/control: Depend on more recent version of python3-checkbox-support
    and python3-plainbox. 

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Thu, 07 Jan 2016 18:03:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,13 @@
            Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
-               dh-python,
                intltool,
                plainbox-provider-resource-generic (>= 0.17),
-               python (>= 2.7),
                python3,
-               python3-checkbox-support (>= 0.18),
+               python3-checkbox-support (>= 0.22),
                python3-debian,
-               python3-plainbox (>= 0.22)
-Standards-Version: 3.9.6
+               python3-plainbox (>= 0.24)
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/plainbox-provider-checkbox/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/plainbox-provider-checkbox/trunk/
 Homepage: http://launchpad.net/checkbox
@@ -22,10 +20,8 @@
 Package: plainbox-provider-checkbox
 Architecture: any
 Depends: plainbox-provider-resource-generic (>= 0.17),
-         python (>= 2.7),
-         python2.7,
          python3,
-         python3-checkbox-support (>= 0.18),
+         python3-checkbox-support (>= 0.22),
          ${misc:Depends},
          ${plainbox:Depends},
          ${shlibs:Depends}
@@ -34,7 +30,6 @@
             gstreamer1.0-plugins-good,
             gstreamer1.0-pulseaudio,
             libgstreamer1.0-0,
-            pm-utils,
             python3-apt,
             python3-dbus,
             python3-gi,
@@ -51,7 +46,6 @@
           lshw,
           mesa-utils,
           nmap,
-          obexd-client,
           obexftp,
           render-bench,
           smartmontools,

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    http://launchpad.net/plainbox-provider-checkbox/+download/ \
    https://launchpad\.net/plainbox-provider-checkbox/.*/.*/\+download/plainbox-provider-checkbox-(.*).tar.gz
